summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/jerasure/jerasure-2.0.0-r1.ebuild')
-rw-r--r--dev-libs/jerasure/jerasure-2.0.0-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-libs/jerasure/jerasure-2.0.0-r1.ebuild b/dev-libs/jerasure/jerasure-2.0.0-r1.ebuild
new file mode 100644
index 00000000000..f526b349d13
--- /dev/null
+++ b/dev-libs/jerasure/jerasure-2.0.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="A Library in C Facilitating Erasure Coding for Storage Applications"
+HOMEPAGE="http://jerasure.org/"
+SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/${P}.tar.gz"
+S="${WORKDIR}/${PN}.git"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+DEPEND="dev-libs/gf-complete"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e 's/ $(SIMD_FLAGS)//g' src/Makefile.am Examples/Makefile.am || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ # because stupid
+ insinto /usr/include
+ doins include/{cauchy,galois,liberation,reed_sol}.h
+ prune_libtool_files
+}